#!/usr/bin/python

# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import os
import sys

if __name__ == "__main__":
    try:
        import pygame
    except ImportError:
        print "Fatal Error! (Steam) Pipe Dreams requires PyGame"
        sys.exit(1)

    sys.path = [os.path.abspath(os.path.split(__file__)[0] + os.sep + "python")] + sys.path
    try:
        import pipedreams
    except ImportError, msg:
        print "Fatal Error! Couldn't import the 'pipedreams' module."
        print msg
        sys.exit(1)
    else:
        pipedreams.main.main()
